%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-Moo
Version:        2.003004
Release:        1%{?dist}
Summary:        Minimalist Object Orientation (with Moose compatibility)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Moo/
Source0:        http://search.cpan.org/CPAN/authors/id/H/HA/HAARG/Moo-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(B)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Method::Modifiers) >= 1.10
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Devel::GlobalDestruction) >= 0.11
BuildRequires:  perl(Exporter)
# Filter::Simple not used at test-time
BuildRequires:  perl(Import::Into) >= 1.002
BuildRequires:  perl(Module::Runtime) >= 0.014
BuildRequires:  perl(mro)
# MRO::Compat not needed with modern perl
BuildRequires:  perl(overload)
BuildRequires:  perl(Role::Tiny) >= 1.003003
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strictures) >= 1.004003
# Text::Balanced not used at test-time
# Optional run-time:
BuildRequires:  perl(Class::XSAccessor) >= 1.18
BuildRequires:  perl(Sub::Name)
# lib/Moo/HandleMoose.pm requires Moose modules. Moo::HandleMoose is used only
# if Moose has been loaded. So this is circular optional dependency definitly
# not suitable for Moo because Moo is reimplementation of Moose:
#   Class::MOP
#   Moose
#   Moose::Meta::Method::Constructor
#   Moose::Util::TypeConstraints
# Tests:
BuildRequires:  perl(B::Deparse)
BuildRequires:  perl(Class::XSAccessor::Array)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(lib)
# MooX::ArrayRef is defined internally via %%INC
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(threads)
# Optional tests:
BuildRequires:  perl(CPAN::Meta::Requirements)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Carp)
Requires:       perl(Class::Method::Modifiers) >= 1.10
Requires:       perl(Devel::GlobalDestruction) >= 0.11
Requires:       perl(Import::Into) >= 1.002
Requires:       perl(Module::Runtime) >= 0.012
Requires:       perl(mro)
Requires:       perl(Role::Tiny) >= 1.003003

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}perl\\(Moo::_
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}perl\\(Moo::_
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Devel::GlobalDestruction|Import::Into|Module::Runtime|Role::Tiny)\\)$

%description
This module is an extremely light-weight, high-performance Moose
replacement. It also avoids depending on any XS modules to allow simple
deployments. The name Moo is based on the idea that it provides almost -but
not quite- two thirds of Moose.

%prep
%setup -q -n Moo-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 2.003004-1
- Update to 2.003004

* Thu Mar 17 2016 momo-i <webmaster@momo-i.org> - 2.001001-1
- Update to 2.001001

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.000001-3
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.000001-2
- Rebuilt for fc23

* Fri Jul 24 2015 momo-i <webmaster@momo-i.org> - 2.000001-1
- Update to 2.000001

* Sun Jan 25 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 1.007000-1
- Update to 1.007000
